# Grid2

## [2.0.57-beta](https://github.com/michaelnpsp/Grid2/tree/2.0.57-beta) (2022-10-20)
[Full Changelog](https://github.com/michaelnpsp/Grid2/compare/2.0.56-beta...2.0.57-beta) [Previous Releases](https://github.com/michaelnpsp/Grid2/releases)

- Fixing possible crash in icons indicator.  
- Added a toggle in general options to Zoom In buffs/debuffs icons (github issue #79)  
- Moved some Grid2Layout AceDB options from global to profile and added db upgrade code in GridDefaults.lua  
- Now detached headers for current loaded layout can be manual positioned using sliders in Appearance section..  
- Added player role Load option to buffs/debuffs (curseforge issue #1109)  
    Removed roster update event from DungeonRole status.  
- Moved layout position sliders to players tab.  
- Refactored special headers generation to ensure they are always created in the same order.  
- Moved detached savedvariables from global section to profile section. More tweaking in appearance configuration.  
- Now unitsPerColumn can be individually configured for different header types (pets, players, bosses).  
    Now anchor points of detached groups can be individually configured for different header types (pets, players, bosses).  
    Now target and focus have a "hide Empty Units" option.  
- Changed "Appearance" configuration, now options are splitted in 4 tabs instead of 2.  
- BugFix: Now using different frame sizes by instance aize should work when "Display all groups" option is enabled.  
- Fixing crash creating buffs/debuffs in Dragonflight (CF issue #1121)  
- Now players/pets/target/focus/bosses frame sizes can be individually configured.  
    Now in non-develop versions Grid2 always uses blizzard unit frames.  
- Now Name status can be configured to display pet/vehicle owner instead of pet/vehicle name.  
